
From: <gniibe@m17n.org>

There is a missing pop-off after call of acpi_enter_sleep_state.  On
success, acpi_enter_sleep_state never returns, but on failure, it will
cause kernel OOPS.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/acpi/wakeup.S |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/kernel/acpi/wakeup.S~missing-pop-off-in-arch-i386-kernel-acpi-wakeups arch/i386/kernel/acpi/wakeup.S
--- 25/arch/i386/kernel/acpi/wakeup.S~missing-pop-off-in-arch-i386-kernel-acpi-wakeups	2004-05-28 19:11:46.865120888 -0700
+++ 25-akpm/arch/i386/kernel/acpi/wakeup.S	2004-05-28 19:11:46.869120280 -0700
@@ -270,6 +270,7 @@ ENTRY(do_suspend_lowlevel)
 	call	save_registers
 	pushl	$3
 	call	acpi_enter_sleep_state
+	addl	$4,%esp
 	ret
 	.p2align 4,,7
 ret_point:
_
